summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authortharvik <tharvik@users.noreply.github.com>2016-05-04 10:20:18 +0200
committerIan Delaney <idella4@gentoo.org>2016-05-05 16:06:33 +0800
commit4cdb0496de89130cc7f4229a5977dcfe5a7bb7e8 (patch)
tree55b1c38a83653b56d4b010ee8665a70a68e5787a /dev-python/pytest-xdist
parentnet-libs/libtrace: Old. (diff)
downloadgentoo-4cdb0496de89130cc7f4229a5977dcfe5a7bb7e8.tar.gz
gentoo-4cdb0496de89130cc7f4229a5977dcfe5a7bb7e8.tar.bz2
gentoo-4cdb0496de89130cc7f4229a5977dcfe5a7bb7e8.zip
dev-python/pytest-xdist: revbump to vn. 1.14-r1
add missed dep setuptools_scm in DEPEND Package-Manager: portage-2.2.26 Closes: https://github.com/gentoo/gentoo/pull/1398 Signed-off-by: Ian Delaney <idella4@gentoo.org>
Diffstat (limited to 'dev-python/pytest-xdist')
-rw-r--r--dev-python/pytest-xdist/pytest-xdist-1.14-r1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.14-r1.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.14-r1.ebuild
new file mode 100644
index 00000000000..b2e5a964812
--- /dev/null
+++ b/dev-python/pytest-xdist/pytest-xdist-1.14-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Distributed testing and loop-on-failing modes"
+HOMEPAGE="https://pypi.python.org/pypi/pytest-xdist https://github.com/pytest-dev/pytest-xdist2"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ >=dev-python/execnet-1.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ >=dev-python/py-1.4.22[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ find -name __pycache__ -exec rm -r '{}' + || die
+ py.test -vv -x || die
+}